Loading...
Searching...
No Matches
BALL::NumberOfHydrogenBondDonors Class Reference

`#include <BALL/QSAR/simpleDescriptors.h>`

Inheritance diagram for BALL::NumberOfHydrogenBondDonors:

## Public Member Functions

Constructors and Destructors
| NumberOfHydrogenBondDonors ()
| NumberOfHydrogenBondDonors (const NumberOfHydrogenBondDonors &nhbd)
| NumberOfHydrogenBondDonors (const String &expression)
virtual | ~NumberOfHydrogenBondDonors ()
Accessors
void | setExpression (const String &expression)
const String & | getExpression () const
double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::SimpleBase
| SimpleBase ()
| SimpleBase (const SimpleBase &sb)
| SimpleBase (const String &name)
| SimpleBase (const String &name, const String &unit)
virtual | ~SimpleBase ()
virtual SimpleBase & | operator= (const SimpleBase &sb)
void | computeAllDescriptors (AtomContainer &ac)
void | setDataFolder (const char *folder)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Assignment

NumberOfHydrogenBondDonors & | operator= (const NumberOfHydrogenBondDonors &nhbd)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)

## Detailed Description

This descriptor returns the number of the hydrogen bond donors of the molecule. If another set of atoms want to be used, it can be set via \texttt{setExpression}, with an Expression string as parameter.

Definition at line 1162 of file simpleDescriptors.h.

## Constructor & Destructor Documentation

## NumberOfHydrogenBondDonors() [1/3]

BALL::NumberOfHydrogenBondDonors::NumberOfHydrogenBondDonors | ( |  | ) |

Default constructor

## NumberOfHydrogenBondDonors() [2/3]

BALL::NumberOfHydrogenBondDonors::NumberOfHydrogenBondDonors | ( | const NumberOfHydrogenBondDonors & | nhbd | ) |

Copy constructor

## NumberOfHydrogenBondDonors() [3/3]

BALL::NumberOfHydrogenBondDonors::NumberOfHydrogenBondDonors | ( | const String & | expression | ) |

Expression constructor

## ~NumberOfHydrogenBondDonors()

virtual BALL::NumberOfHydrogenBondDonors::~NumberOfHydrogenBondDonors | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## compute()

double BALL::NumberOfHydrogenBondDonors::compute | ( | AtomContainer & | ac | ) |

virtual

Reimplemented from BALL::Descriptor.

## getExpression()

const String & BALL::NumberOfHydrogenBondDonors::getExpression | ( |  | ) | const

## operator=()

NumberOfHydrogenBondDonors & BALL::NumberOfHydrogenBondDonors::operator= | ( | const NumberOfHydrogenBondDonors & | nhbd | ) |

Assignment operator

## setExpression()

void BALL::NumberOfHydrogenBondDonors::setExpression | ( | const String & | expression | ) |